/*
    B3_7.c
    Generated by Gene-Auto toolset ver 2.4.9
    (launcher GALauncherSCICOS)
    Generated on: 15/06/2012 14:22:16.230
    source model: Subsystem
    model version: 6.3
    last saved by:
    last saved on:
*/

/* Includes */

#include "B3_7.h"

/* Function definitions */

void B3_7_init(t_Subsystem_state *_state_) {
    /*  START Block: -35079f4:137f00fab4d:-7c9a  */
    _state_->B3_7_3_memory = 0.0;
    /*  END Block: -35079f4:137f00fab4d:-7c9a  */
}

void B3_7_compute(t_B3_7_io *_io_, t_Subsystem_state *_state_) {
    /*  Output from <SystemBlock: name=Subsystem>/<SystemBlock: name=B3>/<SystemBlock: name=B3_7>/<SourceBlock: name=B3_7_1>/<OutDataPort: name=null>  */
    REAL B3_7_1_null;
    /*  Output from -35079f4:137f00fab4d:-7c9e/<OutDataPort: name=null>  */
    REAL B3_7_2_null;
    /*  Output from -35079f4:137f00fab4d:-7c9a/<OutDataPort: name=null>  */
    REAL B3_7_3_null;
    /*  START Block: -35079f4:137f00fab4d:-7c9a  */
    B3_7_3_null = _state_->B3_7_3_memory;
    /*  END Block: -35079f4:137f00fab4d:-7c9a  */
    /*  START Block: null  */
    B3_7_1_null = _io_->B3_7_1;
    /*  END Block: null  */
    /*  START Block: -35079f4:137f00fab4d:-7c9e  */
    B3_7_2_null = B3_7_1_null + B3_7_3_null;
    /*  END Block: -35079f4:137f00fab4d:-7c9e  */
    /*  START Block: null  */
    _io_->B3_7_4 = B3_7_3_null;
    /*  END Block: null  */
    /*  START Block memory write: -35079f4:137f00fab4d:-7c9a  */
    _state_->B3_7_3_memory = B3_7_2_null;
    /*  END Block memory write: -35079f4:137f00fab4d:-7c9a  */
}

